# export CVSROOT=:pserver:anonymous@cvs.lri.fr:/users/asspro/roussel/cvsroot
# cvs login # no password
# DATE=$(date +%Y%m%d)
# cvs export -D now -d nucleo-$DATE nucleo
# tar cvjf nucleo-$DATE.tar.bz2 nucleo-$DATE

%define name nucleo
%define version 0.6
#%define cvs 20061224
%define rel 7
%define release %mkrel %{rel}
%define distname %{name}-%{version}

%define common_summary explore video and human-computer interaction
%define common_description Nucleo is a toolkit for exploring new uses of video and new\
human-computer interaction techniques.
%define lib_major 0

%define lib_name %mklibname %{name} %{lib_major}

Summary: Toolkit to %{common_summary}
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{distname}.tar.bz2
# (gb) 64-bit fixes (API change)
Patch0: nucleo-20061224-64bit-fixes.patch
# (fc) 0.6-1mdv fix build without dns-sd
Patch1: nucleo-0.6-fixdnssd.patch
# (fc) 0.6-2mdv fix debug in 32bit
Patch2: nucleo-0.6-32bit.patch
# (fc) 0.6-3mdv fix plugins names (CVS)
Patch3: nucleo-0.6-fixplugins.patch
# (fc) 0.6-3mdv fix DNS-SD support with avahi
Patch4: nucleo-0.6-avahi.patch

License: LGPL
Group: System/Libraries
Url: http://www.lri.fr/~roussel/projects/nucleo/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: automake1.9
BuildRequires: mesaglu-devel jpeg-devel png-devel libexif-devel freetype2-devel
BuildRequires: ffmpeg-devel
BuildRequires: libxi-devel
BuildRequires: avahi-compat-libdns_sd-devel
BuildRequires: qt4-devel


%description
%{common_description}

%package -n	%{lib_name}
Summary:	A library to %{common_summary}
Group:		System/Libraries

%description -n	%{lib_name}
%{common_description}

This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{lib_name}-plugins-ffmpeg
Summary:	FFMpeg plugin for nucleo
Group:		System/Libraries

%description -n	%{lib_name}-plugins-ffmpeg
This package contains FFMPEG plugin for nucleo.

%package -n	%{lib_name}-plugins-qt
Summary:	QT4 plugin for nucleo
Group:		System/Libraries

%description -n	%{lib_name}-plugins-qt
This package contains QT4 plugin for nucleo.

%package -n	%{lib_name}-devel
Summary:	Development tools for programs using %{name}
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{lib_name}-devel
%{common_description}

This package contains the header files and libraries needed for
developing programs using the %{name} library.

%prep
%setup -q -n %{distname}
%patch0 -p1 -b .64bit-fixes
%patch1 -p1 -b .fixdnssd
%patch2 -p1 -b .32bit
%patch3 -p1 -b .fixplugins
%patch4 -p1 -b .avahi

#needed by patches 1, 3 & 4
aclocal-1.9
automake-1.9

#needed by patch4
autoconf

%build
%configure2_5x 
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/nucleo/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README
%{_bindir}/nBundle
%{_bindir}/nTest
%{_bindir}/videoClient
%{_bindir}/videoServer
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/Info.plist.tmpl
%{_datadir}/%{name}/%{name}.icns
%{_datadir}/%{name}/%{name}.pdf
%{_datadir}/%{name}/plugin-list
%dir %{_datadir}/%{name}/fonts
%{_datadir}/%{name}/fonts/*.ttf

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libNucleo.so.*
%{_libdir}/libNucleo.la

%files -n %{lib_name}-plugins-ffmpeg
%defattr(-,root,root)
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/nPffmpeg.so

%files -n %{lib_name}-plugins-qt
%defattr(-,root,root)
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/nPqt.so

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_libdir}/libNucleo.so
%{_libdir}/pkgconfig/%{name}.pc
%{_bindir}/nucleo-config
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*

%changelog
* Sat Mar 03 2007 Christiaan Welvaart <cjw@daneel.dyndns.org>
+ 2007-03-03 09:29:12 (131751)
- drop exclusivearch

* Mon Feb 26 2007 Olivier Blin <oblin@mandriva.com> 0.6-6mdv2007.1
+ 2007-02-26 12:33:01 (125782)
- fix linking with dns-sd

* Thu Feb 22 2007 Frederic Crozat <fcrozat@mandriva.com> 0.6-5mdv2007.1
+ 2007-02-22 21:47:49 (124826)
- Update patch4 to set avahi cflags/ldflags in nucleo-config too

* Thu Feb 22 2007 Frederic Crozat <fcrozat@mandriva.com> 0.6-4mdv2007.1
+ 2007-02-22 18:47:44 (124743)
- Update patch4 to link libnucleo with avahi and add cflags/ldflags to pkgconfig file

* Fri Feb 09 2007 Frederic Crozat <fcrozat@mandriva.com> 0.6-3mdv2007.1
+ 2007-02-09 15:47:42 (118488)
- Enable SD_DNS support, QT4 plugin
- Move ffmpeg and QT4 plugins in separate packages
- Patch3(CVS) : fix plugins name
- Patch4: fix DNS_SD build with Avahi

* Wed Feb 07 2007 Frederic Crozat <fcrozat@mandriva.com> 0.6-2mdv2007.1
+ 2007-02-07 15:17:03 (117176)
- Patch2: fix debug output for 32bit system

* Mon Feb 05 2007 Frederic Crozat <fcrozat@mandriva.com> 0.6-1mdv2007.1
+ 2007-02-05 17:25:52 (116235)
- Release 0.6 final
-Patch1 (CVS): fix build when dns-sd isn't available
-Remove merged patches upstream
- from Gwenole Beauchesne <gbeauchesne@mandriva.com>
    - 64-bit fixes and enable on x86_64

* Mon Jan 15 2007 Frederic Crozat <fcrozat@mandriva.com> 0.6-0.20061224.2mdv2007.1
+ 2007-01-15 19:31:45 (109307)
- Patch2 : add support for qmix/qmax in ffmpeg plugin
-Fix buildrequires, ensure xinput support is built

* Fri Dec 29 2006 Frederic Crozat <fcrozat@mandriva.com> 0.6-0.20061224.1mdv2007.1
+ 2006-12-29 18:00:31 (102611)
- New snapshot (20061224)
- Remove patch0, no longer needed

* Fri Dec 15 2006 Frederic Crozat <fcrozat@mandriva.com> 0.6-0.20061214.1mdv2007.1
+ 2006-12-15 16:45:35 (97470)
- New snapshot (20061214) with shader support
  Patch0: fix build with current mesa

* Thu Nov 30 2006 Frederic Crozat <fcrozat@mandriva.com> 0.6-0.20061130.1mdv2007.1
+ 2006-11-30 13:16:20 (89138)
- Update snapshot (20061130)
- Remove patches 0, 2 (merged upstream)

* Wed Nov 29 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5-0.20061014.3mdv2007.1
+ 2006-11-29 18:45:32 (88695)
- Update patch0
- Disable patch1, it breaks nucleo
- Patch2: allow disabling howl at compile time
- Disable x86-64 arch for now

* Sat Oct 14 2006 Olivier Blin <oblin@mandriva.com> 0.5-0.20061014.2mdv2006.0
+ 2006-10-14 16:57:03 (65163)
- bump release
- add GLuint id in sgNode instances to fix glPushName() on x86_64
- add buildrequires
- initial nucleo package
- Created package structure for nucleo.

